%define name iwlwifi-1000-ucode
%define version 128.50.3.1
%define release %mkrel 1

Summary: Intel PRO/Wireless 1000BGN microcode
Name:    %{name}
Version: %{version}
Release: %{release}
Source:  http://www.intellinuxwireless.org/iwlwifi/downloads/iwlwifi-1000-ucode-%{version}.tgz
License: Proprietary
Group:   System/Kernel and hardware
URL:     http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-1000-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 1000BGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

#german
%description -l de
%{name} ist der WLAN-Treiber für neuere Intel WLAN-Adapter.


%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode

%changelog
* Tue Dec 22 2009 siamer <siamer@wp.pl> 128.50.3.1-1pclos2010
- rebuild from mdv (Thomas Backlund <tmb@mandriva.org> )
